Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_bitrate_instant

declared in "vorbis/vorbisfile.h";

Used to find the most recent bitrate played back within the file. Will return 0 if the bitrate has not changed or it is the beginning of the file.

    long ov_bitrate_instant(OggVorbis_File *vf);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.

### Return Values

> - 0 indicates the beginning of the file or unchanged bitrate info.
> - n indicates the actual bitrate since the last call.
> - OV_FALSE indicates that playback is not in progress, and thus there is no instantaneous bitrate information to report.
> - OV_EINVAL indicates that the stream represented by `vf` is not open.

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101